Skip to main content

Cancel unpaid invoice

Required scopes:

  • partner.invoice.cancel
Path Parameters
invoiceId uuid — REQUIRED

ID of invoice for which the cancellation is requested

Responses
200

OK

Schema — OPTIONAL
invoiceId uuid
amount object
amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

state string

Possible values: [UNPAID, PENDING, PAID, CANCELLED]

created date-time
correlationId string — OPTIONAL

Invoice correlation id

description string — OPTIONAL

Invoice description

issuerId uuid

Id of the invoice issuer

receiverId uuid

Id of the invoice receiver

payerId uuid — OPTIONAL

Id of the invoice payer. Present only when invoice was created for the dedicated payer

transactions object[] — OPTIONAL

Transactions associated with this invoice. Only included when includeTransactions=true is passed.

transactionId uuid

Unique identifier for the transaction

state string

Possible values: [PENDING, COMPLETED]

Current state of the transaction

amountReceived object

Amount received in this transaction

amount string

Currency amount in decimal format

currency string

Possible values: [BTC, USD, EUR, USDT, GBP, AUD]

Currency code

created date-time

Timestamp when the transaction was created

completed date-time — OPTIONAL

Timestamp when the transaction completed. Present only when the transaction is completed

401

Unauthorized

403

Forbidden